function detSelected
% funkcia aplikuje prah na vsetky zvolene obrazy v gui1.m
global T INFO myGLOBAL

level = INFO.Tresh;
V = INFO.Detected;
for kl = 1:length(V)
    VECTmax(kl)  = T(V(kl)).IMAGE.OEXT(2);
end
b = max(VECTmax);
level = level/b;
for i = 1:length(V)
%     Imag = mat2gray(T(V(i)).IMAGE.ORIG);
    Imag = T(V(i)).IMAGE.ORIG;
    h1 = [1 2 1;2 4 2;1 2 1]./16;
% h1 = [1 2 4 2 1; 2 4 8 4 2; 4 8 16 8 4;2 4 8 4 2; 1 2 4 2 1]./16;
    Imag = imfilter(Imag,h1); % priemerovaci filter
    Imag= Imag./b;            % delenie obrazu jeho najvyssou hodnotu (potrebujeme obraz v rozmedzi 0-1)
    BIN = im2bw(Imag,level);  % prahovanie ziskanym prahom
    FINAL = imclearborder(BIN); % odstranenie hranicnych objektov
    FINAL = imfill(FINAL,'holes'); % vypnenie dier v objektoch
    Se = strel('disk',3); 
    BORD = BIN-FINAL; 
    FINAL = imopen(FINAL,Se); %otvorenie obrazu
      Se2 = strel('disk',2);
    FINAL = imdilate(FINAL,Se2);  % dilatacia
    HA = bwboundaries(FINAL);   % stanovenie hranic
    
            
    [LAB,number] = bwlabel(FINAL);
    properties = regionprops(LAB,'Area','Centroid','EquivDiameter', ...
                            'EulerNumber','BoundingBox','Extent','Perimeter',...
                             'PixelIdxList', 'FilledArea','PixelList','FilledImage',...
                             'Solidity','Eccentricity','MajorAxisLength','MinorAxisLength');
   %regionprops pocita vlastnosti obejktov

 %% roztrhnuty film
 % nasledujuci blok hlada roztrhnuty film v obraze prechadzanim histogramu
 % smerom od pozadia ku 0. Ak najde udolie (lokalne minimum), stanovi ho
 % ako prah medzi pozadim a oblastou kde je roztrhnuty film, nasledne je
 % obraz prahovany a zobrazeny len roztrhnuty film
[hodnoty2,pozicie2]=imhist(Imag);
hodnoty=hodnoty2;
hodnoty2(hodnoty2==0)=[]; %(maze 0 v histograme)
pozicie2(hodnoty==0)=[];
MAX = find(pozicie2<level);
interval = hodnoty2(1:length(MAX));
[Val, Idc] = max(interval);
POMOCNA = [];
for ij = 1:Idc-1
    if hodnoty2(ij)>hodnoty2(ij+1) && pozicie2(ij)<Idc*0.65 
        prah = pozicie2(ij+1);
        FILM = im2bw(Imag,prah);
        SE = strel('disk',2);
        FILM = imclose(FILM,SE);
        FILM = imopen(FILM,SE);
        FILM = 1-FILM;
       POMOCNA(1) = 1;
    end
end

%% ak je najdeny film, v podmienke je ulozeny
if POMOCNA == 1;
   BINARNY = FINAL+FILM+BORD;
else
    BINARNY = FINAL+BORD;
end

% ukladanie obrazov, vlastnosti  a hranic do globalnej premennej                      
    myGLOBAL(V(i)).Images.BINAR = 1-BINARNY;
    myGLOBAL(V(i)).Images.LAB = LAB;
    myGLOBAL(V(i)).Images.FINAL = FINAL;
    myGLOBAL(V(i)).Properties = properties;
    myGLOBAL(V(i)).Boundaries = HA;
end